Tspi_Hash_GetHashValue(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Hash_GetHashValue - get the current hash value of a hash object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Hash_GetHashValue(TSS_HHASH hHash, UINT32* pulHashValueLength, BYTE** prgbHashValue);

DESCRIPTION

Tspi_Hash_GetHashValue gets the hash value of a hash object. Tspi_Context_FreeMemory must be used to clean up after this function, as memory is allocated for the prgbHashValue data.

PARAMETERS

  hHash
The handle to the hash object instance whose hash value should be signed.

  pulHashValueLength
Receives the length of the hash value data returned at the parameter prgbHashValue.

  prgbHashValue
Receives a pointer to the hash value data.

RETURN CODES

Tspi_Hash_GetHashValue returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hHash is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_HASH_INVALID_LENGTH
    Hash length is inconsistent with hash algorithm.

TSS_E_HASH_NO_DATA
    Hash object has no internal hash value.

CONFORMING TO

Tspi_Hash_GetHashValue conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Hash_UpdateHashValue(3), Tspi_Hash_Sign(3), Tspi_Hash_VerifySignature(3), Tspi_Hash_SetHashValue(3).